apiVersion: certificates.k8s.io/v1
kind: CertificateSigningRequest
metadata:
    name: "{{ k8s_headlamp_local_cluster_config.name }}-csr"
    namespace: "{{ k8s_headlamp_namespace }}"
spec:
    request: "{{ csr.content }}"
    signerName: kubernetes.io/kube-apiserver-client
    expirationSeconds: {{ (k8s_headlamp_local_cluster_config.credentials_ttl | int) * 24 * 3600 }}
    usages:
        - client auth
